/*Теоретичні питання
1. Що таке цикл в програмуванні?
Цикл в програмуванні - це структура, яка дозволяє виконувати блок коду кілька разів.
2. Які види циклів є в JavaScript і які їх ключові слова?
for: Цей цикл використовується для повторення певного блоку коду певне число разів.
while: Цей цикл повторюється, доки вказана умова true.
do while: Цей цикл схожий на цикл while, але перевірка умови відбувається після кожного виконання блоку коду, тому цикл гарантує,
що блок коду виконається принаймні один раз.
3. Чим відрізняється цикл do while від while?
Відміність в порядку виконання. У циклі while спочатку перевіряється умова, і якщо вона є істинною, виконується блок коду.
У випадку циклу do while блок коду виконується спочатку, а потім перевіряється умова. Це означає, що блок коду виконається принаймні один раз.
*/

/*Практичні завдання

1. Запитайте у користувача два числа. Перевірте, чи є кожне з введених значень числом.
Якщо ні, то запитуйте у користувача нове занчення до тих пір, поки воно не буде числом.
Виведіть на екран всі числа від меншого до більшого за допомогою циклу for.
*/

let number1 =0;
let number2 =0;
do {
    number1 = +prompt("Введіть перше число");
} while (isNaN(number1));

do {
    number2 = +prompt("Введіть друге число");
} while (isNaN(number2));

let smallerNumber = Math.min(number1, number2);
let largerNumber = Math.max(number1, number2);

for (let i = smallerNumber; i <= largerNumber; i++) {
    console.log(i);
}

/*2. Напишіть програму, яка запитує в користувача число та перевіряє, чи воно є парним числом.
Якщо введене значення не є парним числом, то запитуйте число доки користувач не введе правильне значення.
*/
let number;

while (true) {
    number = +prompt("Введіть число");

    if (!isNaN(number) && number % 2 === 0) {
        break;
    } else {
        alert("Введіть парне число");
    }
}
console.log(`Ви ввели парне число`);
